/*!
 * Noto Sans JP / Noto Sans Mono — self-host (DADS推奨フォント)
 * Source: @fontsource/noto-sans-jp, @fontsource/noto-sans-mono  (License: SIL OFL 1.1, fonts/OFL.txt)
 * subset: japanese + latin / weights 400, 700。日本語面は ./fonts/*-japanese-*.woff2(約1MB)。
 * 配置: この CSS と同階層に fonts/ を置き、styles.css より前に読み込むこと。
 * unicode-range は latin を後勝ちにしてラテン専用ページで日本語1MBを読まないよう最適化している。
 */

/* ---- Noto Sans JP 400 ---- */
@font-face {
  font-family: 'Noto Sans JP';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('./fonts/noto-sans-jp-japanese-400.woff2') format('woff2');
}
@font-face {
  font-family: 'Noto Sans JP';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('./fonts/noto-sans-jp-latin-400.woff2') format('woff2');
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+2074,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}

/* ---- Noto Sans JP 700 ---- */
@font-face {
  font-family: 'Noto Sans JP';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('./fonts/noto-sans-jp-japanese-700.woff2') format('woff2');
}
@font-face {
  font-family: 'Noto Sans JP';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('./fonts/noto-sans-jp-latin-700.woff2') format('woff2');
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+2074,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}

/* ---- Noto Sans Mono 400 (latin) ---- */
@font-face {
  font-family: 'Noto Sans Mono';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('./fonts/noto-sans-mono-latin-400.woff2') format('woff2');
}
